#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_ICT_Microdati_2015_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_ICT_A2015<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_ICT_A2015, "label") <- c(
"Codice progressivo",
"Classe di ricavi da vendita di beni e servizi",
"Utilizzo di computer nell'Impresa",
"Percentuale di addetti usano computer",
"Impiego di addetti specialisti in materie informatiche",
"Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT",
"Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT",
"Ha assunto o ha provato ad assumere specialisti ICT",
"Difficolt a coprire i posti vacanti per specialisti ICT",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Manutenzione delle infrastrutture ICT",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per i software di ufficio",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo di sistemi e di software di gestione aziendale",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per software e sistemi di gestione aziendale",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo web",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per lo sviluppo web",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Gestione della sicurezza ICT e protezione dei dati",
"Connessione ad Internet",
"Percentuale di addetti usano computer connessi Internet",
"Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax",
"Velocit max download connessione fissa in banda larga",
"Tipo di connessione: mobile in banda larga  (in banda larga: connessione che utilizza la rete telefonica mobile 3G o 4G)",
"Percentuale di addetti provvisti di dispositivi portatili forniti dall'impresa che permettono la connessione mobile ad Internet (in banda larga o meno)",
"Sito web",
"Possibilit di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)",
"Tracciabilit on line dellordine",
"Accesso a cataloghi di prodotti o listini prezzi",
"Possibilit di personalizzare i contenuti del sito per i visitatori abituali",
"Possibilit per i visitatori del sito di personalizzare o progettare prodotti",
"Avvertenze sulla politica in materia di privacy, marchio di certificazione della tutela della privacy o certificazione della sicurezza del sito",
"Annuncio di posti di lavoro vacanti o possibilit di effettuare domande di impiego on line",
"Collegamenti o riferimenti ai profili dellimpresa sui social media",
"Possibilit di presentare on-line dei reclami (tramite email, modulo web, ecc.)",
"Utilizzo Social Media (SM) per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer)",
"Utilizzo SM per tipologia: blog o microblog dellimpresa (ad es. TWItter, Present.ly)",
"Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare)",
"Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze",
"Sviluppare limmagine dellimpresa o dei suoi prodotti (ad es. per pubblicizzare prodotti)",
"Raccogliere o rispondere a opinioni, recensioni e domande dei clienti",
"Coinvolgere i clienti nello sviluppo o nellinnovazione di beni o servizi",
"Collaborare con altre imprese partner (ad es. fornitori) o altre organizzazioni (ad es. Pubbliche Amministrazioni, altre organizzazioni non governative)",
"Ricerca di personale",
"Scambio di punti di vista, opinioni o conoscenze allinterno dellimpresa",
"Utilizzo di servizi di cloud computing su Internet",
"Utilizzo software ERP",
"Utilizzo software CRM analitico",
"Utilizzo software CRM operativo",
"Condivisione elettronica informazioni sulla SCM",
"Condivisione elettronica informazioni sulla SCM tramite web",
"Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard",
"Politica di sicurezza ICT formalmente definita",
"Rischi trattati: distruzione o corruzione dei dati dovuti ad un attacco o un incidente inaspettato",
"Rischi trattati: divulgazione di informazioni riservate a seguito di intrusioni, di attacchi come pharming, phishing o a seguito di un incidente",
"Rischi trattati: indisponibilit dei servizi ICT a seguito di un attacco esterno (ad es. attacco del tipo blocco del servizio)",
"Tempo definizione o revisione della politica di sicurezza ICT",
"Invio fatture: percentuale in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML)",
"Invio fatture: percentuale in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF)",
"Invio fatture: percentuale  cartacee",
"Ricezione fatture: percentuale  in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML)",
"Ricezione fatture: percentuale in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF) + cartacee",
"Ordini di vendita attraverso sito web",
"Classe di valore percentuale degli ordini di vendita sito web",
"Percentuale vendite attraverso sito web a consumatori privati (B2C)",
"Percentuale vendite attraverso sito web ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)",
"Area geografica del cliente web: Italia",
"Area geografica del cliente web: Paesi EU",
"Area geografica del cliente web: Resto del Mondo",
"Ordini di vendita attraverso sistemi di tipo EDI",
"Classe di valore percentuale degli ordini di vendita sistemi di tipo EDI",
"Area geografica del cliente Edi: Italia",
"Area geografica del cliente Edi: Paesi EU",
"Area geografica del cliente Edi: Resto del Mondo",
"Acquisti tramite reti informatiche (sito web, extranet, Edi)",
"Classe percentuale valore ordini di acquisto",
"Area geografica del fornitore: Italia",
"Area geografica del fornitore: Paesi EU",
"Area geografica del fornitore: Resto del Mondo",
"Ateco, classificazione Ateco2007",
"Macrosettore",
"Classe addetti",
" 21 reg amministrative (BZ=21; TN=22 ) ",
"Primo dominio di stima per la pubblicazione (per 27 attivit economiche)",
"Secondo dominio di stima per la pubblicazione (mac per  clad4)",
"Terzo dominio di stima per la pubblicazione (mac per reg21)",
"Dominio relativo al settore ICT che comprende le seguenti attivit economiche: 261+262+263+264+268+465+582+61+62+631+951",
"Peso da utilizzare per riporto all'universo (Asia 2013)",
"Classe di valore percentuale degli ordini di vendita online")

Ricavi_Fact <- factor(DF_ICT_A2015$Ricavi, 
levels=c(0, 
20000, 
50000, 
100000, 
200000, 
500000, 
1000000, 
2000000, 
4000000, 
5000000, 
10000000, 
20000000, 
50000000, 
200000000), 
labels=c("[0, 20000)", 
"[20000, 50000)", 
"[50000, 100000)", 
"[100000, 200000)", 
"[200000, 500000)", 
"[500000, 1000000)", 
"[1000000, 2000000)", 
"[2000000, 4000000)", 
"[4000000, 5000000)", 
"[5000000, 10000000)", 
"[10000000, 20000000)", 
"[20000000, 50000000)", 
"[50000000, 200000000)", 
"[200000000, + ?)")) 


A1_Fact <- factor(DF_ICT_A2015$A1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B1_Fact <- factor(DF_ICT_A2015$B1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B2a_Fact <- factor(DF_ICT_A2015$B2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B2b_Fact <- factor(DF_ICT_A2015$B2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B3_Fact <- factor(DF_ICT_A2015$B3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B4_Fact <- factor(DF_ICT_A2015$B4, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


B5a_Fact <- factor(DF_ICT_A2015$B5a, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5b_Fact <- factor(DF_ICT_A2015$B5b, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5c_Fact <- factor(DF_ICT_A2015$B5c, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5d_Fact <- factor(DF_ICT_A2015$B5d, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5e_Fact <- factor(DF_ICT_A2015$B5e, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5f_Fact <- factor(DF_ICT_A2015$B5f, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5g_Fact <- factor(DF_ICT_A2015$B5g, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


C1_Fact <- factor(DF_ICT_A2015$C1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C3_Fact <- factor(DF_ICT_A2015$C3, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C4_Fact <- factor(DF_ICT_A2015$C4, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5), 
labels=c("missing", 
"Inferiore a  2Mbit/s", 
"Compresa tra 2Mbit/s e meno di 10Mbit/s", 
"Compresa tra 10Mbit/s e meno di 30Mbit/s", 
"Compresa tra 30Mbit/s e meno di 100Mbit/s", 
"Maggiore o uguale a 100 Mbit/s"), exclude=NULL) 


C5_Fact <- factor(DF_ICT_A2015$C5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C7_Fact <- factor(DF_ICT_A2015$C7, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8a_Fact <- factor(DF_ICT_A2015$C8a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8b_Fact <- factor(DF_ICT_A2015$C8b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8c_Fact <- factor(DF_ICT_A2015$C8c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8d_Fact <- factor(DF_ICT_A2015$C8d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8e_Fact <- factor(DF_ICT_A2015$C8e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8f_Fact <- factor(DF_ICT_A2015$C8f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8g_Fact <- factor(DF_ICT_A2015$C8g, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8h_Fact <- factor(DF_ICT_A2015$C8h, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C8i_Fact <- factor(DF_ICT_A2015$C8i, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9a_Fact <- factor(DF_ICT_A2015$C9a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9b_Fact <- factor(DF_ICT_A2015$C9b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9c_Fact <- factor(DF_ICT_A2015$C9c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C9d_Fact <- factor(DF_ICT_A2015$C9d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10a_Fact <- factor(DF_ICT_A2015$C10a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10b_Fact <- factor(DF_ICT_A2015$C10b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10c_Fact <- factor(DF_ICT_A2015$C10c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10d_Fact <- factor(DF_ICT_A2015$C10d, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10e_Fact <- factor(DF_ICT_A2015$C10e, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


C10f_Fact <- factor(DF_ICT_A2015$C10f, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


D1_Fact <- factor(DF_ICT_A2015$D1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E1_Fact <- factor(DF_ICT_A2015$E1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2a_Fact <- factor(DF_ICT_A2015$E2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


E2b_Fact <- factor(DF_ICT_A2015$E2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F1_Fact <- factor(DF_ICT_A2015$F1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2a_Fact <- factor(DF_ICT_A2015$F2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


F2b_Fact <- factor(DF_ICT_A2015$F2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G1_Fact <- factor(DF_ICT_A2015$G1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G2a_Fact <- factor(DF_ICT_A2015$G2a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G2b_Fact <- factor(DF_ICT_A2015$G2b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G2c_Fact <- factor(DF_ICT_A2015$G2c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


G3_Fact <- factor(DF_ICT_A2015$G3, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missing", 
"Nel corso degli ultimi 12 mesi", 
"Pi di 12 mesi fa ma entro gli ultimi 24 mesi", 
"Pi di 24 mesi fa"), exclude=NULL) 


I1_Fact <- factor(DF_ICT_A2015$I1, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I2_Fact <- factor(DF_ICT_A2015$I2, 
levels=c(NA, 
0, 
1, 
2, 
5, 
10, 
25, 
50), 
labels=c("missing", 
"[0, 1)", 
"[1, 2)", 
"[2, 5)", 
"[5, 10)", 
"[10, 25)", 
"[25,50)", 
"[50, oltre 50)"), exclude=NULL) 


I4a_Fact <- factor(DF_ICT_A2015$I4a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I4b_Fact <- factor(DF_ICT_A2015$I4b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I4c_Fact <- factor(DF_ICT_A2015$I4c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I5_Fact <- factor(DF_ICT_A2015$I5, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I6_Fact <- factor(DF_ICT_A2015$I6, 
levels=c(NA, 
0, 
1, 
2, 
5, 
10, 
25, 
50), 
labels=c("missing", 
"[0, 1)", 
"[1, 2)", 
"[2, 5)", 
"[5, 10)", 
"[10, 25)", 
"[25,50)", 
"[50, oltre 50)"), exclude=NULL) 


I7a_Fact <- factor(DF_ICT_A2015$I7a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I7b_Fact <- factor(DF_ICT_A2015$I7b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I7c_Fact <- factor(DF_ICT_A2015$I7c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I8_Fact <- factor(DF_ICT_A2015$I8, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I9_Fact <- factor(DF_ICT_A2015$I9, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("missing", 
"Meno dell1%", 
"Tra l1% e meno del 5%", 
"Tra il 5% e meno di 10%", 
"Tra il 10% e meno di 25%", 
"Tra il 25% e meno di 50%", 
"Tra il 50% e meno di 75%", 
"Dal 75% al 100%"), exclude=NULL) 


I10a_Fact <- factor(DF_ICT_A2015$I10a, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I10b_Fact <- factor(DF_ICT_A2015$I10b, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


I10c_Fact <- factor(DF_ICT_A2015$I10c, 
levels=c(NA, 
0, 
1), 
labels=c("missing", 
"no", 
"si"), exclude=NULL) 


Ateco_Fact <- factor(DF_ICT_A2015$Ateco, 
levels=c("A01", 
"A02", 
"A03", 
"B05", 
"B06", 
"B07", 
"B08", 
"B09", 
"C10", 
"C11", 
"C12", 
"C13", 
"C14", 
"C15", 
"C16", 
"C17", 
"C18", 
"C19", 
"C20", 
"C21", 
"C22", 
"C23", 
"C24", 
"C25", 
"C26", 
"C27", 
"C28", 
"C29", 
"C30", 
"C31", 
"C32", 
"C33", 
"D35", 
"E36", 
"E37", 
"E38", 
"E39", 
"F41", 
"F42", 
"F43", 
"G45", 
"G46", 
"G47", 
"H49", 
"H50", 
"H51", 
"H52", 
"H53", 
"I55", 
"I56", 
"J58", 
"J59", 
"J60", 
"J61", 
"J62", 
"J63", 
"K64", 
"K65", 
"K66", 
"L68", 
"M69", 
"M70", 
"M71", 
"M72", 
"M73", 
"M74", 
"M75", 
"N77", 
"N78", 
"N79", 
"N80", 
"N81", 
"N82", 
"O84", 
"P85", 
"Q86", 
"Q87", 
"Q88", 
"R90", 
"R91", 
"R92", 
"R93", 
"S94", 
"S95", 
"S96", 
"T97", 
"T98", 
"U99"), 
labels=c("COLTIVAZIONI AGRICOLE E PRODUZIONE DI PRODOTTI ANIMALI, CACCIA E SERVIZI CONNESSI", 
"SILVICOLTURA ED UTILIZZO DI AREE FORESTALI", 
"PESCA E ACQUACOLTURA", 
"ESTRAZIONE DI CARBONE (ESCLUSA TORBA)", 
"ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE", 
"ESTRAZIONE DI MINERALI METALLIFERI", 
"ALTRE ATTIVIT DI ESTRAZIONE DI MINERALI DA CAVE E MINIERE", 
"ATTIVIT DEI SERVIZI DI SUPPORTO ALL'ESTRAZIONE", 
"INDUSTRIE ALIMENTARI", 
"INDUSTRIA DELLE BEVANDE", 
"INDUSTRIA DEL TABACCO", 
"INDUSTRIE TESSILI", 
"CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA", 
"FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI", 
"INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO", 
"FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA", 
"STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI", 
"FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO", 
"FABBRICAZIONE DI PRODOTTI CHIMICI", 
"FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI", 
"FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE", 
"FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI", 
"METALLURGIA", 
"FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)", 
"FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI", 
"FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE", 
"FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA", 
"FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI", 
"FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO", 
"FABBRICAZIONE DI MOBILI", 
"ALTRE INDUSTRIE MANIFATTURIERE", 
"RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE", 
"FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA", 
"RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA", 
"GESTIONE DELLE RETI FOGNARIE", 
"ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI", 
"ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI", 
"COSTRUZIONE DI EDIFICI", 
"INGEGNERIA CIVILE", 
"LAVORI DI COSTRUZIONE SPECIALIZZATI", 
"COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI", 
"COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE", 
"TRASPORTO MARITTIMO E PER VIE D'ACQUA", 
"TRASPORTO AEREO", 
"MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI", 
"SERVIZI POSTALI E ATTIVIT DI CORRIERE", 
"ALLOGGIO", 
"ATTIVIT DEI SERVIZI DI RISTORAZIONE", 
"ATTIVIT EDITORIALI", 
"ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE", 
"ATTIVIT DI PROGRAMMAZIONE E TRASMISSIONE", 
"TELECOMUNICAZIONI", 
"PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE", 
"ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI", 
"ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)", 
"ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)", 
"ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE", 
"ATTIVIT IMMOBILIARI", 
"ATTIVIT LEGALI E CONTABILIT", 
"ATTIVIT DI DIREZIONE AZIENDALE E DI CONSULENZA GESTIONALE", 
"ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE", 
"RICERCA SCIENTIFICA E SVILUPPO", 
"PUBBLICIT E RICERCHE DI MERCATO", 
"ALTRE ATTIVIT PROFESSIONALI, SCIENTIFICHE E TECNICHE", 
"SERVIZI VETERINARI", 
"ATTIVIT DI NOLEGGIO E LEASING OPERATIVO", 
"ATTIVIT DI RICERCA, SELEZIONE, FORNITURA DI PERSONALE", 
"ATTIVIT DEI SERVIZI DELLE AGENZIE DI VIAGGIO, DEI TOUR OPERATOR E SERVIZI DI PRENOTAZIONE E ATTIVIT CONNESSE", 
"SERVIZI DI VIGILANZA E INVESTIGAZIONE", 
"ATTIVIT DI SERVIZI PER EDIFICI E PAESAGGIO", 
"ATTIVIT DI SUPPORTO PER LE FUNZIONI D'UFFICIO E ALTRI SERVIZI DI SUPPORTO ALLE IMPRESE", 
"AMMINISTRAZIONE PUBBLICA E DIFESA; ASSICURAZIONE SOCIALE OBBLIGATORIA", 
"ISTRUZIONE", 
"ASSISTENZA SANITARIA", 
"SERVIZI DI ASSISTENZA SOCIALE RESIDENZIALE", 
"ASSISTENZA SOCIALE NON RESIDENZIALE", 
"ATTIVIT CREATIVE, ARTISTICHE E DI INTRATTENIMENTO", 
"ATTIVIT DI BIBLIOTECHE, ARCHIVI, MUSEI ED ALTRE ATTIVIT CULTURALI", 
"ATTIVIT RIGUARDANTI LE LOTTERIE, LE SCOMMESSE, LE CASE DA GIOCO", 
"ATTIVIT SPORTIVE, DI INTRATTENIMENTO E DI DIVERTIMENTO", 
"ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE", 
"RIPARAZIONE DI COMPUTER E DI BENI PER USO PERSONALE E PER LA CASA", 
"ALTRE ATTIVIT DI SERVIZI PER LA PERSONA", 
"ATTIVIT DI FAMIGLIE E CONVIVENZE COME DATORI DI LAVORO PER PERSONALE DOMESTICO", 
"PRODUZIONE DI BENI E SERVIZI INDIFFERENZIATI  PER USO PROPRIO DA PARTE DI  FAMIGLIE E CONVIVENZE", 
"ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI")) 


mac_Fact <- factor(DF_ICT_A2015$mac, 
levels=c("M1", 
"M2", 
"M3", 
"M4"), 
labels=c("MACROSETTORE MANIFATTURIERO", 
"MACROSETTORE ENERGIA", 
"MACROSETTORE COSTRUZIONI", 
"MACROSETTORE SERVIZI (NON FINANZIARI)")) 


clad4_Fact <- factor(DF_ICT_A2015$clad4, 
levels=c("cl1", 
"cl2", 
"cl3", 
"cl4"), 
labels=c("10-49 addetti", 
"50-99 addetti", 
"100-249 addetti", 
"250 e pi addetti")) 


reg21_Fact <- factor(DF_ICT_A2015$reg21, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22"), 
labels=c("Regione Piemonte", 
"Regione Valle d'Aosta", 
"Regione Lombardia", 
"Regione Veneto", 
"Regione Friuli-Venezia Giulia", 
"Regione Liguria", 
"Regione Emilia-Romagna", 
"Regione Toscana", 
"Regione Umbria", 
"Regione Marche", 
"Regione Lazio", 
"Regione Abruzzo", 
"Regione Molise", 
"Regione Campania", 
"Regione Puglia", 
"Regione Basilicata", 
"Regione Calabria", 
"Regione Sicilia", 
"Regione Sardegna", 
"Provincia Autonoma Bolzano", 
"Provincia Autonoma Trento")) 


dom1_Fact <- factor(DF_ICT_A2015$dom1, 
levels=c("N01", 
"N02", 
"N03", 
"N04", 
"N05", 
"N06", 
"N07", 
"N08", 
"N09", 
"N10", 
"N11", 
"N12", 
"N13", 
"N14", 
"N15", 
"N16", 
"N17", 
"N18", 
"N19", 
"N20", 
"N21", 
"N22", 
"N23", 
"N24", 
"N25", 
"N26", 
"N27"), 
labels=c("Dominio divisioni e gruppi Ateco 2007: 10+11+12", 
"Dominio divisioni e gruppi Ateco 2007: 13+14+15", 
"Dominio divisioni e gruppi Ateco 2007: 16+17+18", 
"Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23", 
"Dominio divisioni e gruppi Ateco 2007: 24+25", 
"Dominio divisioni e gruppi Ateco 2007: 26", 
"Dominio divisioni e gruppi Ateco 2007: 27+28", 
"Dominio divisioni e gruppi Ateco 2007: 29+30", 
"Dominio divisioni e gruppi Ateco 2007: 31+32+33", 
"Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39", 
"Dominio divisioni e gruppi Ateco 2007: 41+42+43", 
"Dominio divisioni e gruppi Ateco 2007: 45", 
"Dominio divisioni e gruppi Ateco 2007: 46", 
"Dominio divisioni e gruppi Ateco 2007: 47", 
"Dominio divisioni e gruppi Ateco 2007: 49+50+51+52", 
"Dominio divisioni e gruppi Ateco 2007: 53", 
"Dominio divisioni e gruppi Ateco 2007: 55", 
"Dominio divisioni e gruppi Ateco 2007: 56", 
"Dominio divisioni e gruppi Ateco 2007: 58", 
"Dominio divisioni e gruppi Ateco 2007: 59+60", 
"Dominio divisioni e gruppi Ateco 2007: 61", 
"Dominio divisioni e gruppi Ateco 2007: 62+63", 
"Dominio divisioni e gruppi Ateco 2007: 68", 
"Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74", 
"Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82", 
"Dominio divisioni e gruppi Ateco 2007: 79", 
"Dominio divisioni e gruppi Ateco 2007: 95.1")) 


I2I6_Fact <- factor(DF_ICT_A2015$I2I6, 
levels=c(NA, 
0, 
1, 
2, 
5, 
10, 
25, 
50), 
labels=c("missing", 
"[0, 1)", 
"[1, 2)", 
"[2, 5)", 
"[5, 10)", 
"[10, 25)", 
"[25,50)", 
"[50, oltre 50)"), exclude=NULL) 

save.image (file="DF_ICT_A2015.RData")
